> ## Documentation Index
> Fetch the complete documentation index at: https://mtaapi.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Citi Bike station

> Get current availability for a station ID or short name.



## OpenAPI

````yaml /openapi.json get /api/v1/citi-bike/stations/{id}
openapi: 3.1.2
info:
  title: MTA API
  description: Managed, API-key protected access to MTA realtime and static data.
  version: 0.1.0
servers:
  - url: https://www.mtaapi.dev
    description: Production
security:
  - bearerAuth: []
  - apiKeyAuth: []
tags:
  - name: subway
    description: Subway realtime data
  - name: bus
    description: BusTime realtime data
  - name: path
    description: PATH realtime arrivals for New Jersey stations
  - name: nj-transit-rail
    description: NJ Transit RailData realtime data
  - name: nyc-ferry
    description: NYC Ferry GTFS and GTFS-Realtime data
  - name: citi-bike
    description: Citi Bike GBFS station and service data
  - name: lirr
    description: Long Island Rail Road GTFS and GTFS-Realtime data
  - name: metro-north
    description: Metro-North Railroad GTFS and GTFS-Realtime data
  - name: alerts
    description: Service alerts
  - name: stops
    description: Route-aware static GTFS stop lookup
  - name: system
    description: Health and database status
paths:
  /api/v1/citi-bike/stations/{id}:
    get:
      tags:
        - citi-bike
      summary: Get a Citi Bike station
      description: Get current availability for a station ID or short name.
      operationId: getApiV1Citi-bikeStationsById
      parameters:
        - name: id
          in: path
          required: true
          schema:
            minLength: 1
            type: string
      responses:
        '200':
          description: Response for status 200
          content:
            application/json:
              schema:
                type: object
                required:
                  - id
                  - name
                  - lat
                  - lon
                  - bikesAvailable
                  - ebikesAvailable
                  - classicBikesAvailable
                  - docksAvailable
                  - bikesDisabled
                  - docksDisabled
                  - isInstalled
                  - isRenting
                  - isReturning
                  - mode
                  - source
                properties:
                  id:
                    type: string
                  shortName:
                    type: string
                  name:
                    type: string
                  lat:
                    type: number
                  lon:
                    type: number
                  regionId:
                    type: string
                  capacity:
                    type: number
                  bikesAvailable:
                    type: number
                  ebikesAvailable:
                    type: number
                  classicBikesAvailable:
                    type: number
                  docksAvailable:
                    type: number
                  bikesDisabled:
                    type: number
                  docksDisabled:
                    type: number
                  isInstalled:
                    type: boolean
                  isRenting:
                    type: boolean
                  isReturning:
                    type: boolean
                  lastReported:
                    type: string
                  distanceMeters:
                    type: number
                  mode:
                    const: citi-bike
                    type: string
                  source:
                    const: citi-bike-gbfs
                    type: string
      x-codeSamples:
        - lang: typescript
          label: mta-js
          source: |-
            import { MTA } from "mta-js";
            const mta = new MTA({ apiKey: process.env.MTA_API_KEY });
            const data = await mta.citiBike.station({ id: "JC003" });
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.